extends layout

include ./includes/plus1-mixin

block title
    title= post.id

block content
    h1.post-title= post.id

    if post.media && post.media.url
        img.post-img(src=post.media.url width=post.media.width/10 height=post.media.height/10)

    if post.album && post.album.media
        div.horizontally-scrollable
            ul.list-inline
            for pic in post.album.media
                li.list-inline-item: img.album-img(src=pic.url width=pic.width/10 height=pic.height/10)

    div.post-content!= post.content

    if post.plusOnes
        div.plus1-container
            label.plus1-label(for='plusList') +1s:
            div.horizontally-scrollable
                ul.list-inline#plusList
                for plusObj in post.plusOnes
                    +plusOne(plusObj.plusOner)

    if post.comments
        ul.comment-list
            for comment in post.comments
                li.comment-row
                    img.avatar(src=comment.author.avatarImageUrl)
                    a.profile-link(href=comment.author.profilePageUrl)= comment.author.displayName
                    div.comment-text!= comment.content?' said: '+comment.content:' posted this image: '
                    if comment.media && comment.media.url
                        img.comment-img(src=comment.media.url)
